import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import { jsxs as _jsxs } from "react/jsx-runtime";
import { jsx as _jsx } from "react/jsx-runtime";

/* eslint-disable react/prop-types */
import AtomPanel from '@s-ui/react-atom-panel';
import SuiTagChip from '@s-ui/react-tag-chip';

var CardImageCover = function CardImageCover(_ref) {
  var media = _ref.media,
      title = _ref.title,
      text = _ref.text,
      tag = _ref.tag,
      TagChip = _ref.tagChip,
      Link = _ref.linkFactory,
      url = _ref.url;

  var onClick = function onClick() {
    if (url) window.location.href = url;
  };

  var BASE_CLASS = 'sui-CardImageCover';
  var TITLE_CLASS = BASE_CLASS + "-title";
  var LINK_CLASS = BASE_CLASS + "-link";
  var INNER_CLASS = BASE_CLASS + "-inner";
  var TEXT_CLASS = BASE_CLASS + "-text";
  return /*#__PURE__*/_jsx("div", {
    className: BASE_CLASS,
    children: /*#__PURE__*/_jsx(AtomPanel, {
      src: media.src,
      resized: true,
      children: /*#__PURE__*/_jsxs("div", {
        className: INNER_CLASS,
        onClick: onClick,
        children: [tag && /*#__PURE__*/_jsx("div", {
          children: /*#__PURE__*/_jsx(TagChip, {
            rel: tag.rel,
            label: tag.text,
            link: tag.url,
            linkFactory: Link,
            className: tag.className
          })
        }), /*#__PURE__*/_jsx("h2", {
          className: TITLE_CLASS,
          children: /*#__PURE__*/_jsx(Link, {
            href: url,
            title: title,
            className: LINK_CLASS,
            children: title
          })
        }), /*#__PURE__*/_jsx("p", {
          className: TEXT_CLASS,
          children: text
        })]
      })
    })
  });
};

CardImageCover.displayName = 'CardImageCover';
CardImageCover.defaultProps = {
  tagChip: SuiTagChip,
  linkFactory: function linkFactory(_ref2) {
    var children = _ref2.children,
        rest = _objectWithoutPropertiesLoose(_ref2, ["children"]);

    return /*#__PURE__*/_jsx("a", _extends({}, rest, {
      children: children
    }));
  }
};
export default CardImageCover;